%define upstream_name Return-MultiLevel
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Return across multiple call levels
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/MAUKE/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Return-MultiLevel-0.05-Test-Fatal-0.016.patch

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Return across multiple call levels.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Fix compatibility with Test::Fatal ≥ 0.016
# https://github.com/mauke/Return-MultiLevel/pull/1
%patch -P 0 -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.80.0-4.mga10
+ Revision: 2232182
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.80.0-3.mga10
+ Revision: 2128046
- Rebuild for patchN deprecation

* Mon Mar 21 2022 umeabot <umeabot> 0.80.0-2.mga9
+ Revision: 1815857
- Mageia 9 Mass Rebuild

* Tue Dec 21 2021 tv <tv> 0.80.0-1.mga9
+ Revision: 1763121
- update to 0.08

* Sat Oct 16 2021 tv <tv> 0.60.0-1.mga9
+ Revision: 1751798
- update to 0.06

* Fri Sep 11 2020 tv <tv> 0.50.0-5.mga8
+ Revision: 1624491
- Fix compatibility with Test::Fatal ≥ 0.016
  https://github.com/mauke/Return-MultiLevel/pull/1

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-4.mga8
+ Revision: 1506158
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.50.0-3.mga7
+ Revision: 1285956
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.50.0-2.mga7
+ Revision: 1166405
- rebuild with fixed rpm for missing autodeps

* Tue Sep 26 2017 tv <tv> 0.50.0-1.mga7
+ Revision: 1159877
- update to 0.05

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-3.mga6
+ Revision: 1032860
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.40.0-2.mga6
+ Revision: 968479
- Mageia 6 Mass Rebuild

* Tue Jul 07 2015 sander85 <sander85> 0.40.0-1.mga6
+ Revision: 852559
- update to 0.04

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 751020
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-2.mga5
+ Revision: 686107
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.30.0-1.mga5
+ Revision: 586504
- imported package perl-Return-MultiLevel

